﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;

namespace XamDataGridCellDD
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ContextMenu context;
        public MainWindow()
        {
            InitializeComponent();

            context = new ContextMenu();
            MenuItem select = new MenuItem();
            select.Header = "Select";

            MenuItem active = new MenuItem();
            active.Header = "Active";

            context.Items.Add(select);
            context.Items.Add(active);
        }

        private void xamDataGrid1_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.OriginalSource is ValueEditor)
            {
                DragDrop.DoDragDrop((e.OriginalSource as ValueEditor), (e.OriginalSource as ValueEditor).Value, DragDropEffects.Copy);
            }
            if (e.OriginalSource is SimpleTextBlock)
            {
                DragDrop.DoDragDrop((e.OriginalSource as SimpleTextBlock), (e.OriginalSource as SimpleTextBlock).Text, DragDropEffects.Copy);
            }
        }
    }
}
